Subject: Re: TRS-80 Model I Emulator for MS-DOS machines -- Now available!

From: [email-masked] (Charles Lasner)
Date: Wed, 7 Jul 1993 08:11:23 GMT

In article <[email-masked]> [email-masked] writes:
>In article <[email-masked]>, [email-masked] (Bill Vermillion) writes:
>> 
>> Not really.    In those days this was refered to as memory mapped video
>> - and several different computer systems used it.   You changed the
>> memory that the video was mapped onto and instant display change.
>> That fast video used in machine of this type was one reason I hated the
>> IBM PC when it first came out.  It was SLOW!!!
>
>Hate to break it to you, but the IBM PC has had memory mapped video from
>day one. I hate it because I can't hang my nifty terminals off it...

The PDP-8 has had memory-mapped video since the VT8E was introduced around
1973 or 1974.  Moreover, you could specify the mapping addresses dynamically to
any addressable main memory.  One of the first things I wrote for the beast
was a VT05 emulator because it's usually housed in a terminal box that
looks like one.

Also, by alternating between two DMA buffers on clock tick interrupts, it's
possibly to have two "shared" screens visually overlaying each other.  Either
of them can be text or graphics since the hardware supports text characters
with attributes or bitmapped graphics.

Output is standard video in monochrome.  It was done as a CSS project for a
newswire system that fed a cable-type network.  (I think the customer was
Reuter's.  In any case, DEC decided to package it inside a modified VT05
housing with a keyboard and video monitor.  The cards alone were known as
a VK8E.)

By specifying a display starting address on top of a running program and
using graphics mode, it is possible to get a fascinating view of a running
program.  You can actually see the various counters, etc. being updated at
rates that correspond to program activity if you study it a little, etc.

Because of the buss loading due to fast back-to-back DMA cycles, running
core memory diagnostics patched to run the VT8E in graphics mode over the
tested data areas can exacerbate a memory failure in a marginal core stack.
You can actually see the checkerboard patterns of a memory checkerboard
test!

cjl